Subject: RE: Bash appears to have changed...
From: "Andrew Mayer" <[email-masked]>
To: <[email-masked]>
Cc: "'Larry Hall \(RFK Partners, Inc\)'" <[email-masked]>
Date: Wed, 8 Jan 2003 22:00:28 -0800

Ok, that seems to have solved most of it, however the file permission still
initialize incorrectly.

For the record:

I'm using an up-to-date WinXP Sp1...a fresh install from a week ago, and Cygwin
DLL 1.3.18-1 (and I was earlier too).

After I got your response I did the following:

1) I set a WinXP environment variable (previously unset)

	CYGWIN = ntsec binmode tty notitle glob

	this shows up in a bash shell as CYGWIN='ntsec binmode tty notitle glob'
when I type "set"

2) I did a full uninstall of Cygwin, including hand-deleting the parts of the
cygwin root directory that setup doesn't delete.  Before this I copied
/etc/passwd and /usr/local off to the side

3) I did a reinstall of Cygwin.  Just the defaults, plus emacs and man.

Sounds good?  

Well, this fixed the wacky problem

	lstat(./kpsewhich) failed ...
	./kpsewhich: No such file or directory

It also fixed an odd emacs problem I was having

	http://cygwin.com/ml/cygwin/2003-01/msg00296.html

However, the default file permissions just seem wrong.  Here's a sample, the
full ls -lR is too big to post but looks about the same.

.:
total 2
d---------+   9 mayer    None            0 Jan  8 21:01 ./
d---------+   9 mayer    None            0 Jan  8 21:01 ../
d---------+   3 mayer    None            0 Jan  8 21:03 bin/
----------+   1 mayer    None           62 Jan  8 20:59 cygwin.bat
----------+   1 mayer    None          766 Jan  8 21:03 cygwin.ico
d---------+   6 mayer    None            0 Jan  8 21:03 etc/
drwxrwxrwx+   3 mayer    None            0 Jan  8 21:01 home/
d---------+   4 mayer    None            0 Jan  8 21:03 lib/
d---------+   2 mayer    None            0 Jan  8 20:58 tmp/
d---------+  12 mayer    None            0 Jan  8 20:59 usr/
d---------+   6 mayer    None            0 Jan  8 21:03 var/

./bin:
total 25926
d---------+   3 mayer    None            0 Jan  8 21:03 ./
d---------+   9 mayer    None            0 Jan  8 21:01 ../
----------+   1 mayer    None        67072 Dec 16 10:03 addftinfo.exe
----------+   1 mayer    None         8544 Dec 16 10:03 afmtodit
----------+   1 mayer    None         2379 Dec 16 09:46 apropos
----------+   1 mayer    None        13824 Nov 11 21:35 ascii.exe
lrwxrwxrwx    1 mayer    None           19 Jan  8 20:59 awk.exe -> gawk.exe
----------+   1 mayer    None         9728 Dec 16 07:18 b2m.exe
----------+   1 mayer    None        16384 Nov 11 21:35 banner.exe
----------+   1 mayer    None        23040 Jan  6 21:49 basename.exe
----------+   1 mayer    None       596480 Nov 22 11:32 bash.exe
----------+   1 mayer    None         7756 Nov 22 11:26 bashbug

Finally, here is the "cygcheck -s -r -v" you recommended:

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Wed Jan 08 21:16:34 2003

Windows XP Professional Ver 5.1 Build 2600 Service Pack 1

Path:	.
	g:\Mayer\system\bin
	F:\Unix\cygwin\usr\local\bin
	F:\Unix\cygwin\bin
	F:\Unix\cygwin\bin
	c:\WINDOWS\system32
	c:\WINDOWS
	c:\WINDOWS\System32\Wbem
	f:\Program Files\Executive Software\DiskeeperWorkstation\
	"F
	F:\Unix\cygwin\Program Files\Norton SystemWorks\Norton Ghost\"

SysDir: C:\WINDOWS\System32
WinDir: C:\WINDOWS

CYGWIN = `ntsec binmode tty notitle glob'
HOME = `g:\Mayer'
MAKE_MODE = `unix'
PWD = `/cygdrive/g/Mayer'
USER = `mayer'

ALLUSERSPROFILE = `C:\Documents and Settings\All Users'
APPDATA = `C:\Documents and Settings\mayer\Application Data'
BASH_ENV = `/cygdrive/g/Mayer/.bashrc'
CLIENTNAME = `Console'
COLORFGBG = `0;default'
COLORTERM = `rxvt-xpm'
COMMONPROGRAMFILES = `C:\Program Files\Common Files'
COMPUTERNAME = `LEVERAGE'
COMSPEC = `C:\WINDOWS\system32\cmd.exe'
DISKEEPERICON = `F:\Program Files\Executive Software\DiskeeperWorkstation\'
DISPLAY = `'
EDITOR = `emacs'
HOMEDRIVE = `C:'
HOMEPATH = `\Documents and Settings\mayer'
LESS = `-i -N -w  -z-4 -g -e -M -X -F -R -P%t?f%f \
:stdin .?pb%pb\%:?lbLine %lb:?bbByte %bb:-...'
LESSCHARSET = `latin1'
LESSOPEN = `|$HOME/system/bin/lesspipe.sh %s 2>&-'
LOGONSERVER = `\\LEVERAGE'
MACHINE = `LEVERAGE'
NUMBER_OF_PROCESSORS = `1'
OLDPWD = `/usr/bin'
OS = `Windows_NT'
PAGER = `less'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 15 Model 0 Stepping 7, GenuineIntel'
PROCESSOR_LEVEL = `15'
PROCESSOR_REVISION = `0007'
PROGRAMFILES = `C:\Program Files'
PS1 = `\h \!\$ '
SESSIONNAME = `Console'
SHLVL = `1'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINDOWS'
TEMP = `e:\Tmp'
TERM = `xterm'
TEXEDIT = `emacs'
TEXINPUTS =
`.::/cygdrive/g/Mayer/system/TeX::/cygdrive/g/Mayer/system/TeX/styles::./figures
'
TMP = `e:\Tmp'
UNIX = `/cygdrive/f/unix'
USERDOMAIN = `LEVERAGE'
USERNAME = `mayer'
USERPROFILE = `C:\Documents and Settings\mayer'
VISUAL = `emacs'
WINDIR = `C:\WINDOWS'
WINDOWID = `168035120'
XErrorDB = `/usr/X11R6/lib/X11/XErrorDB'
XKeysymDB = `/usr/X11R6/lib/X11/XKeysymDB'
XP = `/cygdrive/c/WINDOWS'
_ = `/usr/bin/cygcheck'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `F:\Unix\cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `F:\Unix\cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `F:\Unix\cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A                    
c:  hd  NTFS    4094Mb  44% CP CS UN PA FC     C - WinXP
d:  hd  NTFS    2055Mb  20% CP CS UN PA        D - Swap
e:  hd  NTFS    2039Mb   3% CP CS UN PA FC     E - Tmp
f:  hd  NTFS    8095Mb  13% CP CS UN PA FC     F - Programs
g:  hd  NTFS   16425Mb  11% CP CS UN PA FC     G - Users
h:  hd  NTFS   53121Mb  54% CP CS UN PA FC     H - Bucket
i:  cd           N/A    N/A                    
j:  cd           N/A    N/A                    

F:\Unix\cygwin      /          system  binmode
F:\Unix\cygwin/bin  /usr/bin   system  binmode
F:\Unix\cygwin/lib  /usr/lib   system  binmode
.                   /cygdrive  user    binmode,cygdrive

Found: F:\Unix\cygwin\bin\bash.exe
Found: F:\Unix\cygwin\bin\cat.exe
Not Found: cpp (good!)
Found: F:\Unix\cygwin\bin\find.exe
Not Found: gcc
Not Found: gdb
Not Found: ld
Found: F:\Unix\cygwin\bin\ls.exe
Not Found: make
Found: F:\Unix\cygwin\bin\sh.exe

   45k 2001/04/25 F:\Unix\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
                  "cygform5.dll" v0.0 ts=2001/4/24 22:28
   35k 2002/01/09 F:\Unix\cygwin\bin\cygform6.dll - os=4.0 img=1.0 sys=4.0
                  "cygform6.dll" v0.0 ts=2002/1/8 22:03
   19k 2002/02/20 F:\Unix\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2002/2/19 19:05
   17k 2001/06/28 F:\Unix\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory4.dll" v0.0 ts=2001/1/6 20:34
   20k 2002/10/10 F:\Unix\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory5.dll" v0.0 ts=2002/10/10 10:28
  929k 2002/06/24 F:\Unix\cygwin\bin\cygiconv-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygiconv-2.dll" v0.0 ts=2002/6/24 11:24
   22k 2001/12/13 F:\Unix\cygwin\bin\cygintl-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-1.dll" v0.0 ts=2001/12/13 1:28
   28k 2002/09/20 F:\Unix\cygwin\bin\cygintl-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-2.dll" v0.0 ts=2002/9/19 20:13
   26k 2001/04/25 F:\Unix\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu5.dll" v0.0 ts=2001/4/24 22:27
   20k 2002/01/09 F:\Unix\cygwin\bin\cygmenu6.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu6.dll" v0.0 ts=2002/1/8 22:03
  156k 2001/04/25 F:\Unix\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses++5.dll" v0.0 ts=2001/4/24 22:29
  175k 2002/01/09 F:\Unix\cygwin\bin\cygncurses++6.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses++6.dll" v0.0 ts=2002/1/8 22:03
  226k 2001/04/25 F:\Unix\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses5.dll" v0.0 ts=2001/4/24 22:17
  202k 2002/01/09 F:\Unix\cygwin\bin\cygncurses6.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses6.dll" v0.0 ts=2002/1/8 22:03
   15k 2001/04/25 F:\Unix\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel5.dll" v0.0 ts=2001/4/24 22:27
   12k 2002/01/09 F:\Unix\cygwin\bin\cygpanel6.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel6.dll" v0.0 ts=2002/1/8 22:03
   40k 2001/11/21 F:\Unix\cygwin\bin\cygpcre.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcre.dll" v0.0 ts=2001/11/21 14:15
   39k 2001/11/21 F:\Unix\cygwin\bin\cygpcreposix.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcreposix.dll" v0.0 ts=2001/11/21 14:15
   22k 2002/06/09 F:\Unix\cygwin\bin\cygpopt-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygpopt-0.dll" v0.0 ts=2002/6/8 22:45
  108k 2001/06/28 F:\Unix\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline4.dll" v0.0 ts=2001/1/6 20:34
  127k 2002/10/10 F:\Unix\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline5.dll" v0.0 ts=2002/10/10 10:28
   50k 2002/03/12 F:\Unix\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
                  "cygz.dll" v0.0 ts=2002/3/11 20:38
  880k 2002/12/25 F:\Unix\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2002/12/25 12:37
    Cygwin DLL version info:
        DLL version: 1.3.18
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 69
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Wed Dec 25 15:37:50 EST 2002
        Shared id: cygwin1S3

Cygwin Package Information
Last downloaded files to: H:\Software\Archive\Unix Tools\Cygwin
Last downloaded files from: http://mirrors.rcn.net/pub/sourceware/cygwin

Package             Version             
_update-info-dir    00118-1             
ash                 20020731-1          
base-files          1.1-1               
base-passwd         1.0-1               
bash                2.05b-8             
ctags               5.2-1               
cygutils            1.1.3-1             
cygwin              1.3.18-1            
cygwin-doc          1.2-1               
diff                1.0-1               
diffutils           2.8.1-1             
emacs               21.2-11             
fileutils           4.1-1               
findutils           4.1.7-4             
gawk                3.1.1-5             
gdbm                1.8.0-4             
grep                2.5-1               
groff               1.18.1-2            
gzip                1.3.3-4             
less                378-1               
libiconv2           1.8-2               
libintl1            0.10.40-1           
libintl2            0.11.5-1            
libncurses5         5.2-1               
libncurses6         5.2-8               
libpopt0            1.6.4-4             
libreadline4        4.1-2               
libreadline5        4.3-2               
login               1.7-1               
man                 1.5j-1              
mktemp              1.4-1               
ncurses             5.2-8               
newlib-man          20020801            
pcre                3.7-1               
readline            4.3-2               
rxvt                2.7.9-4             
sed                 4.0.1-1             
sh-utils            2.0.15-3            
tar                 1.13.25-1           
termcap             20020930-1          
terminfo            5.2-3               
texinfo             4.2-4               
textutils           2.0.21-1            
which               1.5-1               
zlib                1.1.4-1             

Use -h to see help about each section

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/